## org.aspectj.weaver.tools
Class WeavingAdaptor.WeavingAdaptorMessageWriter

    java.lang.Object
      org.aspectj.bridge.MessageWriter
          org.aspectj.weaver.tools.WeavingAdaptor.WeavingAdaptorMessageWriter

All Implemented Interfaces:
  org.aspectj.bridge.IMessageHandler

Enclosing class:
  WeavingAdaptor

    protected class WeavingAdaptor.WeavingAdaptorMessageWriter

extends org.aspectj.bridge.MessageWriter

Field Summary

Fields inherited from class org.aspectj.bridge.MessageWriter
`abortOnFailure, writer`

Fields inherited from interface org.aspectj.bridge.IMessageHandler
`SYSTEM_ERR, SYSTEM_OUT, THROW`

Constructor Summary
`WeavingAdaptor.WeavingAdaptorMessageWriter(java.io.PrintWriter writer)`

Method Summary
`void` `dontIgnore(org.aspectj.bridge.IMessage.Kind kind)` Remove a message kind from the list of those ignored from now on.
`boolean` `handleMessage(org.aspectj.bridge.IMessage message)`
`void` `ignore(org.aspectj.bridge.IMessage.Kind kind)` Set a message kind to be ignored from now on
`boolean` `isIgnoring(org.aspectj.bridge.IMessage.Kind kind)`
`protected java.lang.String` `render(org.aspectj.bridge.IMessage message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeavingAdaptor.WeavingAdaptorMessageWriter

    public WeavingAdaptor.WeavingAdaptorMessageWriter(java.io.PrintWriter writer)

Method Detail

### handleMessage

    public boolean handleMessage(org.aspectj.bridge.IMessage message)
                          throws org.aspectj.bridge.AbortException

  Specified by:
    `handleMessage` in interface `org.aspectj.bridge.IMessageHandler`
  Overrides:
    `handleMessage` in class `org.aspectj.bridge.MessageWriter`
  Throws:
    `org.aspectj.bridge.AbortException`

### isIgnoring

    public boolean isIgnoring(org.aspectj.bridge.IMessage.Kind kind)

  Specified by:
    `isIgnoring` in interface `org.aspectj.bridge.IMessageHandler`
  Overrides:
    `isIgnoring` in class `org.aspectj.bridge.MessageWriter`

### ignore

    public void ignore(org.aspectj.bridge.IMessage.Kind kind)

  Set a message kind to be ignored from now on

  Specified by:
    `ignore` in interface `org.aspectj.bridge.IMessageHandler`
  Overrides:
    `ignore` in class `org.aspectj.bridge.MessageWriter`

### dontIgnore

    public void dontIgnore(org.aspectj.bridge.IMessage.Kind kind)

  Remove a message kind from the list of those ignored from now on.

  Specified by:
    `dontIgnore` in interface `org.aspectj.bridge.IMessageHandler`
  Overrides:
    `dontIgnore` in class `org.aspectj.bridge.MessageWriter`

### render

    protected java.lang.String render(org.aspectj.bridge.IMessage message)

  Overrides:
    `render` in class `org.aspectj.bridge.MessageWriter`